
From: Kumar Gala <galak@freescale.com>

The uart initialization for CONFIG_SERIAL_TEXT_DEBUG on 83xx was passing in
physical addresses instead of effective.  Additional, fix the Kconfig
support to be for all 83xx devices, not just the MPC834x SYS board.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/Kconfig                      |    2 +-
 25-akpm/arch/ppc/platforms/83xx/mpc834x_sys.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ppc/Kconfig~ppc32-fix-config_serial_text_debug-support-on-83xx arch/ppc/Kconfig
--- 25/arch/ppc/Kconfig~ppc32-fix-config_serial_text_debug-support-on-83xx	2005-03-18 15:45:40.000000000 -0800
+++ 25-akpm/arch/ppc/Kconfig	2005-03-18 15:45:40.000000000 -0800
@@ -739,7 +739,7 @@ config PPC_GEN550
 	depends on SANDPOINT || MCPN765 || SPRUCE || PPLUS || PCORE || \
 		PRPMC750 || K2 || PRPMC800 || LOPEC || \
 		(EV64260 && !SERIAL_MPSC) || CHESTNUT || RADSTONE_PPC7D || \
-		MPC834x_SYS
+		83xx
 	default y
 
 config FORCE
diff -puN arch/ppc/platforms/83xx/mpc834x_sys.c~ppc32-fix-config_serial_text_debug-support-on-83xx arch/ppc/platforms/83xx/mpc834x_sys.c
--- 25/arch/ppc/platforms/83xx/mpc834x_sys.c~ppc32-fix-config_serial_text_debug-support-on-83xx	2005-03-18 15:45:40.000000000 -0800
+++ 25-akpm/arch/ppc/platforms/83xx/mpc834x_sys.c	2005-03-18 15:45:40.000000000 -0800
@@ -243,14 +243,14 @@ platform_init(unsigned long r3, unsigned
 
 		memset(&p, 0, sizeof (p));
 		p.iotype = SERIAL_IO_MEM;
-		p.membase = (unsigned char __iomem *)immrbar + 0x4500;
+		p.membase = (unsigned char __iomem *)(VIRT_IMMRBAR + 0x4500);
 		p.uartclk = binfo->bi_busfreq;
 
 		gen550_init(0, &p);
 
 		memset(&p, 0, sizeof (p));
 		p.iotype = SERIAL_IO_MEM;
-		p.membase = (unsigned char __iomem *)immrbar + 0x4500;
+		p.membase = (unsigned char __iomem *)(VIRT_IMMRBAR + 0x4600);
 		p.uartclk = binfo->bi_busfreq;
 
 		gen550_init(1, &p);
_
